Bug 186412 - WITHOUT_NIS support for ObsoleteFiles.inc
Summary: WITHOUT_NIS support for ObsoleteFiles.inc
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Some People
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks: 186192
  Show dependency treegraph
 
Reported: 2014-02-03 16:50 UTC by Volodymyr Kostyrko
Modified: 2014-07-07 00:21 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.37 KB, patch)
2014-02-03 16:50 UTC, Volodymyr Kostyrko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2014-02-03 16:50:00 UTC
lang/python27 incorporates incorrect check for NIS checking for presence of /usr/sbin/ypcat (which still can be present and outdated) or WITHOUT_NIS (which should actually go to src.conf and thus should be invisible from ports Makefiles).

Probable examples:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186351
http://www.freebsd.org/cgi/query-pr.cgi?pr=186192&cat=ports

I created a simple patch that adds support for NIS to ObsoleteFiles so we can deal with leftover files ones and for all.

There are still some questions I haven't answered. /etc/rc.d/ contains number of NIS scripts that are not part of WITH_NIS build and are installed unconditionally. Should I fix their installation/removal too?

Fix: Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2014-02-05 18:16:25 UTC
Author: antoine
Date: Wed Feb  5 18:16:18 2014
New Revision: 261521
URL: http://svnweb.freebsd.org/changeset/base/261521

Log:
  Add files to remove WITHOUT_NIS
  
  PR:		186412

Modified:
  head/tools/build/mk/OptionalObsoleteFiles.inc

Modified: head/tools/build/mk/OptionalObsoleteFiles.inc
==============================================================================
--- head/tools/build/mk/OptionalObsoleteFiles.inc	Wed Feb  5 18:13:27 2014	(r261520)
+++ head/tools/build/mk/OptionalObsoleteFiles.inc	Wed Feb  5 18:16:18 2014	(r261521)
@@ -3321,9 +3321,60 @@ OLD_FILES+=usr/bin/nc
 OLD_FILES+=usr/share/man/man1/nc.1.gz
 .endif
 
-#.if ${MK_NIS} == no
-# to be filled in
-#.endif
+.if ${MK_NIS} == no
+OLD_FILES+=usr/bin/ypcat
+OLD_FILES+=usr/bin/ypchfn
+OLD_FILES+=usr/bin/ypchpass
+OLD_FILES+=usr/bin/ypchsh
+OLD_FILES+=usr/bin/ypmatch
+OLD_FILES+=usr/bin/yppasswd
+OLD_FILES+=usr/bin/ypwhich
+OLD_FILES+=usr/include/ypclnt.h
+OLD_FILES+=usr/lib/libypclnt.a
+OLD_FILES+=usr/lib/libypclnt.so
+OLD_LIBS+=usr/lib/libypclnt.so.4
+OLD_FILES+=usr/lib/libypclnt_p.a
+.if ${TARGET_ARCH} == "amd64" || ${TARGET_ARCH} == "powerpc64"
+OLD_FILES+=usr/lib32/libypclnt.a
+OLD_FILES+=usr/lib32/libypclnt.so
+OLD_LIBS+=usr/lib32/libypclnt.so.4
+OLD_FILES+=usr/lib32/libypclnt_p.a
+.endif
+OLD_FILES+=usr/libexec/mknetid
+OLD_FILES+=usr/libexec/yppwupdate
+OLD_FILES+=usr/libexec/ypxfr
+OLD_FILES+=usr/sbin/rpc.yppasswdd
+OLD_FILES+=usr/sbin/rpc.ypupdated
+OLD_FILES+=usr/sbin/rpc.ypxfrd
+OLD_FILES+=usr/sbin/yp_mkdb
+OLD_FILES+=usr/sbin/ypbind
+OLD_FILES+=usr/sbin/ypinit
+OLD_FILES+=usr/sbin/yppoll
+OLD_FILES+=usr/sbin/yppush
+OLD_FILES+=usr/sbin/ypserv
+OLD_FILES+=usr/sbin/ypset
+OLD_FILES+=usr/share/man/man1/ypcat.1.gz
+OLD_FILES+=usr/share/man/man1/ypchfn.1.gz
+OLD_FILES+=usr/share/man/man1/ypchpass.1.gz
+OLD_FILES+=usr/share/man/man1/ypchsh.1.gz
+OLD_FILES+=usr/share/man/man1/ypmatch.1.gz
+OLD_FILES+=usr/share/man/man1/yppasswd.1.gz
+OLD_FILES+=usr/share/man/man1/ypwhich.1.gz
+OLD_FILES+=usr/share/man/man5/netid.5.gz
+OLD_FILES+=usr/share/man/man8/mknetid.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.yppasswdd.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.ypxfrd.8.gz
+OLD_FILES+=usr/share/man/man8/yp_mkdb.8.gz
+OLD_FILES+=usr/share/man/man8/ypbind.8.gz
+OLD_FILES+=usr/share/man/man8/ypinit.8.gz
+OLD_FILES+=usr/share/man/man8/yppoll.8.gz
+OLD_FILES+=usr/share/man/man8/yppush.8.gz
+OLD_FILES+=usr/share/man/man8/ypserv.8.gz
+OLD_FILES+=usr/share/man/man8/ypset.8.gz
+OLD_FILES+=usr/share/man/man8/ypxfr.8.gz
+OLD_FILES+=var/yp/Makefile
+OLD_FILES+=var/yp/Makefile.dist
+.endif
 
 #.if ${MK_NLS} == no
 # to be filled in
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 2 Antoine Brodin freebsd_committer 2014-02-05 18:16:36 UTC
State Changed
From-To: open->patched

patched in head, if someone wants to MFC feel free to do it.
Comment 3 Garrett Cooper 2014-03-13 18:22:00 UTC
	Could this please be MFCed back to stable/9? It would resolve =
the WITHOUT_NIS check being broken in lang/python* in a slightly =
roundabout way=85
Thanks,
-Garrett=
Comment 4 Volodymyr Kostyrko 2014-03-13 21:11:38 UTC
13.03.2014 20:22, Garrett Cooper wrote:
> 	Could this please be MFCed back to stable/9? It would resolve the WITHOUT_NIS check being broken in lang/python* in a slightly roundabout way

I object! No one should demand MFC to stable/9 before MFC to stable/10. :)

Yes this one is not yet MFCed anywhere up to r263104.

-- 
Sphinx of black quartz judge my vow.
Comment 5 Volodymyr Kostyrko 2014-04-04 15:05:59 UTC
Hi all.

8 weeks passed since this was patched at HEAD and there are requests 
present to MFC this one. This will fix python builds misdetecting the 
NIS if it's not updated.

Can someone help please?

-- 
Sphinx of black quartz, judge my vow.
Comment 6 dfilter service freebsd_committer 2014-04-04 15:18:53 UTC
Author: emaste
Date: Fri Apr  4 14:18:37 2014
New Revision: 264116
URL: http://svnweb.freebsd.org/changeset/base/264116

Log:
  MFC r261521 by antoine: Add files to remove WITHOUT_NIS
  
  PR:		misc/186412
  Sponsored by:	The FreeBSD Foundation

Modified:
  stable/10/tools/build/mk/OptionalObsoleteFiles.inc
Directory Properties:
  stable/10/   (props changed)

Modified: stable/10/tools/build/mk/OptionalObsoleteFiles.inc
==============================================================================
--- stable/10/tools/build/mk/OptionalObsoleteFiles.inc	Fri Apr  4 13:35:36 2014	(r264115)
+++ stable/10/tools/build/mk/OptionalObsoleteFiles.inc	Fri Apr  4 14:18:37 2014	(r264116)
@@ -3278,9 +3278,60 @@ OLD_FILES+=usr/bin/nc
 OLD_FILES+=usr/share/man/man1/nc.1.gz
 .endif
 
-#.if ${MK_NIS} == no
-# to be filled in
-#.endif
+.if ${MK_NIS} == no
+OLD_FILES+=usr/bin/ypcat
+OLD_FILES+=usr/bin/ypchfn
+OLD_FILES+=usr/bin/ypchpass
+OLD_FILES+=usr/bin/ypchsh
+OLD_FILES+=usr/bin/ypmatch
+OLD_FILES+=usr/bin/yppasswd
+OLD_FILES+=usr/bin/ypwhich
+OLD_FILES+=usr/include/ypclnt.h
+OLD_FILES+=usr/lib/libypclnt.a
+OLD_FILES+=usr/lib/libypclnt.so
+OLD_LIBS+=usr/lib/libypclnt.so.4
+OLD_FILES+=usr/lib/libypclnt_p.a
+.if ${TARGET_ARCH} == "amd64" || ${TARGET_ARCH} == "powerpc64"
+OLD_FILES+=usr/lib32/libypclnt.a
+OLD_FILES+=usr/lib32/libypclnt.so
+OLD_LIBS+=usr/lib32/libypclnt.so.4
+OLD_FILES+=usr/lib32/libypclnt_p.a
+.endif
+OLD_FILES+=usr/libexec/mknetid
+OLD_FILES+=usr/libexec/yppwupdate
+OLD_FILES+=usr/libexec/ypxfr
+OLD_FILES+=usr/sbin/rpc.yppasswdd
+OLD_FILES+=usr/sbin/rpc.ypupdated
+OLD_FILES+=usr/sbin/rpc.ypxfrd
+OLD_FILES+=usr/sbin/yp_mkdb
+OLD_FILES+=usr/sbin/ypbind
+OLD_FILES+=usr/sbin/ypinit
+OLD_FILES+=usr/sbin/yppoll
+OLD_FILES+=usr/sbin/yppush
+OLD_FILES+=usr/sbin/ypserv
+OLD_FILES+=usr/sbin/ypset
+OLD_FILES+=usr/share/man/man1/ypcat.1.gz
+OLD_FILES+=usr/share/man/man1/ypchfn.1.gz
+OLD_FILES+=usr/share/man/man1/ypchpass.1.gz
+OLD_FILES+=usr/share/man/man1/ypchsh.1.gz
+OLD_FILES+=usr/share/man/man1/ypmatch.1.gz
+OLD_FILES+=usr/share/man/man1/yppasswd.1.gz
+OLD_FILES+=usr/share/man/man1/ypwhich.1.gz
+OLD_FILES+=usr/share/man/man5/netid.5.gz
+OLD_FILES+=usr/share/man/man8/mknetid.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.yppasswdd.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.ypxfrd.8.gz
+OLD_FILES+=usr/share/man/man8/yp_mkdb.8.gz
+OLD_FILES+=usr/share/man/man8/ypbind.8.gz
+OLD_FILES+=usr/share/man/man8/ypinit.8.gz
+OLD_FILES+=usr/share/man/man8/yppoll.8.gz
+OLD_FILES+=usr/share/man/man8/yppush.8.gz
+OLD_FILES+=usr/share/man/man8/ypserv.8.gz
+OLD_FILES+=usr/share/man/man8/ypset.8.gz
+OLD_FILES+=usr/share/man/man8/ypxfr.8.gz
+OLD_FILES+=var/yp/Makefile
+OLD_FILES+=var/yp/Makefile.dist
+.endif
 
 #.if ${MK_NLS} == no
 # to be filled in
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2014-04-04 15:42:46 UTC
Author: emaste
Date: Fri Apr  4 14:42:43 2014
New Revision: 264117
URL: http://svnweb.freebsd.org/changeset/base/264117

Log:
  MFC r261521 by antoine: Add files to remove WITHOUT_NIS
  
  PR:		misc/186412
  Sponsored by:	The FreeBSD Foundation

Modified:
  stable/9/tools/build/mk/OptionalObsoleteFiles.inc
Directory Properties:
  stable/9/tools/build/   (props changed)

Modified: stable/9/tools/build/mk/OptionalObsoleteFiles.inc
==============================================================================
--- stable/9/tools/build/mk/OptionalObsoleteFiles.inc	Fri Apr  4 14:18:37 2014	(r264116)
+++ stable/9/tools/build/mk/OptionalObsoleteFiles.inc	Fri Apr  4 14:42:43 2014	(r264117)
@@ -2935,9 +2935,60 @@ OLD_FILES+=usr/bin/nc
 OLD_FILES+=usr/share/man/man1/nc.1.gz
 .endif
 
-#.if ${MK_NIS} == no
-# to be filled in
-#.endif
+.if ${MK_NIS} == no
+OLD_FILES+=usr/bin/ypcat
+OLD_FILES+=usr/bin/ypchfn
+OLD_FILES+=usr/bin/ypchpass
+OLD_FILES+=usr/bin/ypchsh
+OLD_FILES+=usr/bin/ypmatch
+OLD_FILES+=usr/bin/yppasswd
+OLD_FILES+=usr/bin/ypwhich
+OLD_FILES+=usr/include/ypclnt.h
+OLD_FILES+=usr/lib/libypclnt.a
+OLD_FILES+=usr/lib/libypclnt.so
+OLD_LIBS+=usr/lib/libypclnt.so.4
+OLD_FILES+=usr/lib/libypclnt_p.a
+.if ${TARGET_ARCH} == "amd64" || ${TARGET_ARCH} == "powerpc64"
+OLD_FILES+=usr/lib32/libypclnt.a
+OLD_FILES+=usr/lib32/libypclnt.so
+OLD_LIBS+=usr/lib32/libypclnt.so.4
+OLD_FILES+=usr/lib32/libypclnt_p.a
+.endif
+OLD_FILES+=usr/libexec/mknetid
+OLD_FILES+=usr/libexec/yppwupdate
+OLD_FILES+=usr/libexec/ypxfr
+OLD_FILES+=usr/sbin/rpc.yppasswdd
+OLD_FILES+=usr/sbin/rpc.ypupdated
+OLD_FILES+=usr/sbin/rpc.ypxfrd
+OLD_FILES+=usr/sbin/yp_mkdb
+OLD_FILES+=usr/sbin/ypbind
+OLD_FILES+=usr/sbin/ypinit
+OLD_FILES+=usr/sbin/yppoll
+OLD_FILES+=usr/sbin/yppush
+OLD_FILES+=usr/sbin/ypserv
+OLD_FILES+=usr/sbin/ypset
+OLD_FILES+=usr/share/man/man1/ypcat.1.gz
+OLD_FILES+=usr/share/man/man1/ypchfn.1.gz
+OLD_FILES+=usr/share/man/man1/ypchpass.1.gz
+OLD_FILES+=usr/share/man/man1/ypchsh.1.gz
+OLD_FILES+=usr/share/man/man1/ypmatch.1.gz
+OLD_FILES+=usr/share/man/man1/yppasswd.1.gz
+OLD_FILES+=usr/share/man/man1/ypwhich.1.gz
+OLD_FILES+=usr/share/man/man5/netid.5.gz
+OLD_FILES+=usr/share/man/man8/mknetid.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.yppasswdd.8.gz
+OLD_FILES+=usr/share/man/man8/rpc.ypxfrd.8.gz
+OLD_FILES+=usr/share/man/man8/yp_mkdb.8.gz
+OLD_FILES+=usr/share/man/man8/ypbind.8.gz
+OLD_FILES+=usr/share/man/man8/ypinit.8.gz
+OLD_FILES+=usr/share/man/man8/yppoll.8.gz
+OLD_FILES+=usr/share/man/man8/yppush.8.gz
+OLD_FILES+=usr/share/man/man8/ypserv.8.gz
+OLD_FILES+=usr/share/man/man8/ypset.8.gz
+OLD_FILES+=usr/share/man/man8/ypxfr.8.gz
+OLD_FILES+=var/yp/Makefile
+OLD_FILES+=var/yp/Makefile.dist
+.endif
 
 #.if ${MK_NLS} == no
 # to be filled in
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 8 sbruno 2014-04-04 15:50:16 UTC
On Fri, 2014-04-04 at 17:05 +0300, Volodymyr Kostyrko wrote:
> misc/186412


It looks like emaste has MFC'd this to 10.  Should it go to 9 as well?

sean
Comment 9 Ed Maste freebsd_committer 2014-04-04 16:07:37 UTC
State Changed
From-To: patched->closed

Committed to stable/10 (r264116) and stable/9 (r264117)